Package org.eclipse.emf.cdo.spi.common

# Class CDOAuthenticationResult

java.lang.Object
org.eclipse.emf.cdo.spi.common.CDOAuthenticationResult

All Implemented Interfaces:
  `Serializable`

@Deprecated public final class CDOAuthenticationResult extends Object implements Serializable
Deprecated.
As of 4.2
The result of an authentication operation. Carries a userID and a crypted token.

Since:
  4.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CDOAuthenticationResult(String userID, byte[] cryptedToken)`
Deprecated.
`CDOAuthenticationResult(org.eclipse.net4j.util.io.ExtendedDataInput in)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getCryptedToken()`
Deprecated.
`String`
`getUserID()`
Deprecated.
`void`
`write(org.eclipse.net4j.util.io.ExtendedDataOutput out)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOAuthenticationResult

@Deprecated public CDOAuthenticationResult(String userID, byte[] cryptedToken)
Deprecated.

### CDOAuthenticationResult

@Deprecated public CDOAuthenticationResult(org.eclipse.net4j.util.io.ExtendedDataInput in) throws IOException
Deprecated.

Throws:
  `IOException`

## Method Details

### write

@Deprecated public void write(org.eclipse.net4j.util.io.ExtendedDataOutput out) throws IOException
Deprecated.

Throws:
  `IOException`

### getUserID

@Deprecated public String getUserID()
Deprecated.

### getCryptedToken

@Deprecated public byte[] getCryptedToken()
Deprecated.